.mymap-container {
    position: relative;
    width: 100%;
    height: 550px; 
}

.mymap-overlay {
    position: absolute;
    top: 7em;
    left: 5em;
    right: 0;
    background: rgba(7, 41, 66, 1);
    color: white;
    padding: 20px;
    border-radius: 10px;
    z-index: 10;
    width: 20em; 
}
.mymap-overlay-rtl {
    position: absolute;
    top: 7em;
    left: 0;
    right: 5em;
    background: rgba(7, 41, 66, 1);
    color: white;
    padding: 20px;
    border-radius: 10px;
    z-index: 10;
    width: 20em; 
}

.mymap-iframe {
    width: 100%;
    height: 100%;
    border: 2px solid #d2d3d3;
    margin-top: 60px;
}

.mymap-overlay .btn-light:hover {
    background-color: rgba(51, 65, 85, 1);
    box-shadow: 0px 0px 0px 6px rgba(227, 234, 240, 1);
}

.mymap-overlay .btn-link:hover {
    background-color: rgba(51, 65, 85, 1);
    color: rgba(245, 248, 250, 1);
    box-shadow: 0px 0px 0px 6px rgba(227, 234, 240, 1);
}

.link-uaeu .mymap-overlay .btn-light:hover,
.link-uaeu .mymap-overlay .btn-link:hover {
    color: #fff !important;
}

#mymap {
    width: 100%; 
    height: 100%; 
    border: 2px solid #d2d3d3; 
}

/* Responsive Styles */
@media (max-width: 768px) {
    .mymap-overlay {
        top: 5em; 
        left: 2em; 
        right: 2em;
        width: auto; 
        padding: 15px; 
    }

    .mymap-container {
        height: 600px; 
    }
}

@media (max-width: 480px) {
    .mymap-overlay {
        top: 4em; 
        left: 1em; 
        right: 1em; 
        padding: 10px; 
    }

    .mymap-container {
        height: 500px; 
    }
}
